> For the complete documentation index, see [llms.txt](https://docs.pgecom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pgecom.com/api-endpoint/deprecated/card/card-schema.md).

# Card Schema     &#x20;

<table><thead><tr><th width="197">Property</th><th width="146">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>fullName</code></td><td>string</td><td>Recipient that needs to be on the card</td></tr><tr><td><code>amount</code></td><td>number</td><td>Available mount to spend with the card</td></tr><tr><td>firstName</td><td>string</td><td>First name of the card holder</td></tr><tr><td>lastName</td><td>string</td><td>last name of the card holder</td></tr><tr><td><code>email</code></td><td>string</td><td>Email of the card recipient</td></tr><tr><td><code>billingAddress</code></td><td>object</td><td>Recipient address on the card. The <strong>country</strong> is required inside the billingAddress</td></tr><tr><td><code>isPhysical</code></td><td>boolean</td><td>If set to <strong>true</strong>, then card shipped to the provided address - only shipping for physical USA</td></tr><tr><td><code>person</code></td><td>string</td><td><strong>prepaid</strong>|<strong>user</strong> - user is a registered user on the platform, and prepaid is just temporary prepaid card with a limited amount and limited feature</td></tr><tr><td><code>cardHolderType</code></td><td>string</td><td><strong>business</strong> or <strong>individual</strong>. This defaults to individual if no values pass</td></tr><tr><td><code>bulk</code></td><td>string</td><td>In case we want to receive the card in bulk. This defaults to individual</td></tr></tbody></table>

The billing address object reference above

<table><thead><tr><th width="200">Property</th><th width="122">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>line1</code></td><td>string</td><td>recipient street address</td></tr><tr><td><code>city</code></td><td>string</td><td>recipient city</td></tr><tr><td><code>country</code></td><td>string</td><td>recipient country</td></tr><tr><td><code>state</code></td><td>string</td><td>recipient state</td></tr><tr><td><code>postal_code</code></td><td>string</td><td>recipient postal code</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pgecom.com/api-endpoint/deprecated/card/card-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
